<template>
    <div class="blockListe" 
        v-bind:id="listItem.id">
        <input type="checkbox" v-bind:checked="listItem.check" v-on:change="changeCheckValueOfItem(listItem.id)">
        <h2>{{listItem.nom}}</h2>
        <a href="javascript:;" v-on:click="deleteItemById(listItem.id)"><img src="../assets/supprimer.png"></a>
    </div>
</template>

<script>
export default {
  props: {
    listItem : Object
  },
  methods: {
    changeCheckValueOfItem: function (id) {
        console.log(id);
       let items = JSON.parse(localStorage.getItem("items"));
       items.filter(function (liste) { 
           if (liste.id == id){
               liste.check = (liste.check == true ? false : true)
           }
           });
        localStorage.setItem("items", JSON.stringify(items))   
    },
    deleteItemById: function (id) {
        console.log(id);
        let items = JSON.parse(localStorage.getItem("items"));
        let newListItems = [];
        items.filter(function (liste) { 
           if (liste.id != id){
                newListItems.push(liste)
           }
        });
        localStorage.setItem("items", JSON.stringify(newListItems))
        document.getElementById(id).style.display = 'none';
    },
  },
}
</script>



<style scoped>

.blockListe{
   background-color: rgb(130, 145, 230);
   padding: 3px 6px;
   margin-bottom : 20px;
}

.blockListe input, .blockListe h2, .blockListe img{
    display: inline-block;
}

.blockListe input{
    margin-right : 20px;
}

.blockListe img{
    float : right;
    margin-right : 10px;
}

h2 , .blockListe img{
    color: white;
    margin-bottom : 5px;
    margin-top : 5px;
}

img{
    height: 25px;
}


</style>